Bug 796473 - f17 radeon redwood caicos xorg segfaults sometimes in games (workaround: Disable OpenGL compositer for full screen aplications or use XRender compositer)
f17 radeon redwood caicos xorg segfaults sometimes in games (workaround: Disa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-22 19:00 EST by Reartes Guillermo
Modified: 2013-07-31 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:10:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg with dridebug (107.96 KB, text/plain)
2012-02-22 19:00 EST, Reartes Guillermo
no flags Details
xorg old neverball xorg segfault (54.73 KB, text/plain)
2012-02-22 19:01 EST, Reartes Guillermo
no flags Details
messages (1.49 MB, text/plain)
2012-02-22 19:04 EST, Reartes Guillermo
no flags Details
Xorg log for hosta (caicos) (50.91 KB, text/plain)
2012-03-08 13:17 EST, Reartes Guillermo
no flags Details
Xorg log for hostb (redwood) (91.09 KB, text/plain)
2012-03-08 13:18 EST, Reartes Guillermo
no flags Details
retrace server output of the crash of xorg with neverball on evergreen (hd5670) (50.53 KB, text/plain)
2012-06-14 14:10 EDT, Reartes Guillermo
no flags Details
retrace server output of the crash of xorg when presing CTRL+ALT+F12 wheb running BASTION on caicos (hd6450) (59.83 KB, text/plain)
2012-06-20 13:03 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-02-22 19:00:24 EST
Created attachment 565137 [details]
dmesg with dridebug

Description of problem:

Inside neverball, switching to full screen or changing resolution (if full screen succeded) causes xorg to segfault.

Version-Release number of selected component (if applicable):

neverball.x86_64         1.5.4-7.fc17
kernel                   3.3.0-0.rc4.git1.4.fc17.x86_64
xorg-x11-drv-ati.x86_64  6.14.3-10.20120206git36c190671.fc17 

How reproducible:
allways

Steps to Reproduce:
1. launch neverball
2. change full screen, if ok, change resolutions until xorg segfaults
  
Actual results:
xorg segfaults


Expected results:
fun with neverball

Additional info:

VGA compatible controller: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450]
Comment 1 Reartes Guillermo 2012-02-22 19:01:02 EST
Created attachment 565138 [details]
xorg old neverball xorg segfault
Comment 2 Reartes Guillermo 2012-02-22 19:04:26 EST
Created attachment 565139 [details]
messages
Comment 3 Reartes Guillermo 2012-03-08 13:16:59 EST
The issue can be reproduced with REDWOOD (XFX HD5670) and CAICOS (XFX HD6450).

HOST A:
* VGA compatible controller [0300]: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450] [1002:6779]

HOST B:
* VGA compatible controller [0300]: ATI Technologies Inc Redwood [Radeon HD 5670] [1002:68d8]

For BOTH HOST A and HOST B:

Installed from KDE-LiveCD, BetaTC1

xorg-x11-drv-ati.x86_64  6.14.3-11.20120206git36c190671.fc17  @updates-testing
neverball.x86_64         1.5.4-7.fc17                         @fedora
kernel                   3.3.0-0.rc6.git0.2.fc17.x86_64

Systems recently reinstalled and fully updated.

HOST A: (.xession-errors)

$ tail -f  .xsession-errors
QGridLayoutEngine::addItem: Cell (0, 1) already taken
QGridLayoutEngine::addItem: Cell (1, 1) already taken
QGridLayoutEngine::addItem: Cell (2, 1) already taken
[/usr/bin/nepomukservicestub] QObject::connect: Cannot connect XSyncBasedPoller::destroyed() to (null)::_k_x11FilterDestroyed()
Warning from helper: reading brightness failed with error code  5 "No such file or directory" 
kded(1353) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
Warning from helper: reading brightness failed with error code  5 "No such file or directory" 
kded(1353) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
Warning from helper: writing brightness failed with error code  5 "No such file or directory" 
kded(1353) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 

Warning from helper: writing brightness failed with error code  5 "No such file or directory" 
kded(1353) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f80fc0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x20090c0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7ce80), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2162ea0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7dde0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x1e6ed30)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f80fc0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x20090c0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7ce80), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2162ea0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7dde0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x203e7d0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f80fc0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x20090c0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7ce80), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2162ea0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7dde0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f80fc0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2000c20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x20090c0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7bf20), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7ce80), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x2162ea0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1f7dde0), parent's thread is QThread(0x1c0f750), current thread is ThreadWeaver::Thread(0x204cd60)
kded4: Fatal IO error: client killed
kactivitymanagerd: Fatal IO error: client killed
kwin: Fatal IO error: client killed
kglobalaccel: Fatal IO error: client killed
ksmserver: Fatal IO error: client killed
knotify4: Fatal IO error: client killed
kdeinit4: Fatal IO error: client killed
kdeinit4: sending SIGHUP to children.
klauncher: Exiting on signal 1
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 23 requests (23 known processed) with 0 events remaining.
kdeinit4: sending SIGTERM to children.
kdeinit4: Exit.
Unexpected response from KInit (response = 0).
startkde: Could not start ksmserver. Check your installation.



HOST B: (.xession-errors)

$ tail -f .xsession-errors
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QGraphicsLinearLayout::removeAt: invalid index 1
QGridLayoutEngine::addItem: Cell (0, 1) already taken
QGridLayoutEngine::addItem: Cell (1, 1) already taken
[/usr/bin/nepomukservicestub] QObject::connect: Cannot connect XSyncBasedPoller::destroyed() to (null)::_k_x11FilterDestroyed()
kded(961) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(961) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(961) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
kded(961) PowerDevilUPowerBackend::brightness: org.kde.powerdevil.backlighthelper.brightness failed 
kded(961) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 

kded(961) PowerDevilUPowerBackend::setBrightness: org.kde.powerdevil.backlighthelper.setbrightness failed 
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1e945c0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1f14ad0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1ec6e60)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1e945c0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1f14ad0)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1e8a280)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1e8a280)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1e8a280)
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Solid::Backends::UDisks::UDisksDevice(0x1ed11c0), parent's thread is QThread(0x1b3c750), current thread is ThreadWeaver::Thread(0x1ec6e60)
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_34_ hasn't been detected!
link XMLID_36_ hasn't been detected!
kaccess: Fatal IO error: client killed
kdeinit4: sending SIGHUP to children.
[/usr/bin/nepomukservicestub] nepomukservicestub: Fatal IO error: client killed
kded4: Fatal IO error: client killed
klauncher: Exiting on signal 1
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0"
      after 23 requests (23 known processed) with 0 events remaining.
kglobalaccel: Fatal IO error: client killed
ksmserver: Fatal IO error: client killed
kwin: Fatal IO error: client killed
kdeinit4: sending SIGTERM to children.
kdeinit4: Exit.

HOST A:

[   955.757] Backtrace:
[   955.758] 0: /usr/bin/X (xorg_backtrace+0x36) [0x464d56]
[   955.758] 1: /usr/bin/X (0x400000+0x69da9) [0x469da9]
[   955.758] 2: /lib64/libpthread.so.0 (0x3af7e00000+0xefb0) [0x3af7e0efb0]
[   955.758] 3: /usr/lib64/dri/r600_dri.so (0x7f0c48818000+0x65e02) [0x7f0c4887de02]
[   955.758] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f0c4a220000+0x1bcc) [0x7f0c4a221bcc]
[   955.758] 5: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x182) [0x7f0c4a222cb2]
[   955.758] 6: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f0c4a220000+0x3f42) [0x7f0c4a223f42]
[   955.758] 7: /usr/bin/X (0x400000+0x3439a) [0x43439a]
[   955.758] 8: /usr/bin/X (0x400000+0x233e5) [0x4233e5]
[   955.758] 9: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3af7a21735]
[   955.758] 10: /usr/bin/X (0x400000+0x236bd) [0x4236bd]
[   955.758] 
[   955.758] Segmentation fault at address 0x190


HOST B:

[   685.470] Backtrace:
[   685.483] 0: /usr/bin/X (xorg_backtrace+0x36) [0x464d56]
[   685.483] 1: /usr/bin/X (0x400000+0x69da9) [0x469da9]
[   685.483] 2: /lib64/libpthread.so.0 (0x3e67a00000+0xefb0) [0x3e67a0efb0]
[   685.483] 3: /usr/lib64/dri/r600_dri.so (0x7f1da58ed000+0x65e02) [0x7f1da5952e02]
[   685.483] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f1da72d3000+0x1bcc) [0x7f1da72d4bcc]
[   685.483] 5: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x182) [0x7f1da72d5cb2]
[   685.483] 6: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f1da72d3000+0x3f42) [0x7f1da72d6f42]
[   685.483] 7: /usr/bin/X (0x400000+0x3439a) [0x43439a]
[   685.483] 8: /usr/bin/X (0x400000+0x233e5) [0x4233e5]
[   685.483] 9: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3e67621735]
[   685.483] 10: /usr/bin/X (0x400000+0x236bd) [0x4236bd]
[   685.483] 
[   685.484] Segmentation fault at address 0x190
Comment 4 Reartes Guillermo 2012-03-08 13:17:38 EST
Created attachment 568714 [details]
Xorg log for hosta (caicos)
Comment 5 Reartes Guillermo 2012-03-08 13:18:22 EST
Created attachment 568715 [details]
Xorg log for hostb (redwood)
Comment 6 Reartes Guillermo 2012-05-15 14:53:39 EDT
It is still present.

xorg-x11-drv-ati.x86_64    6.14.4-5.20120417git0bda305f7.fc17 
neverball.x86_64           1.5.4-7.fc17
kernel                     3.3.4-5.fc17.x86_64


[   602.260] (II) RADEON(0): Modeline "1280x960"x0.0  108.00  1280 1376 1488 1800  960 961 964 1000 +hsync +vsync (60.0 kHz e)
[   602.260] (II) RADEON(0): Modeline "1280x800"x0.0   71.00  1280 1328 1360 1440  800 803 809 823 +hsync -vsync (49.3 kHz e)
[   602.260] (II) RADEON(0): Modeline "1440x900"x0.0   88.75  1440 1488 1520 1600  900 903 909 926 +hsync -vsync (55.5 kHz e)
[   602.260] (II) RADEON(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[   602.278] 
[   602.279] Backtrace:
[   602.280] 0: /usr/bin/X (xorg_backtrace+0x36) [0x464d46]
[   602.280] 1: /usr/bin/X (0x400000+0x69d99) [0x469d99]
[   602.280] 2: /lib64/libpthread.so.0 (0x3933a00000+0xefe0) [0x3933a0efe0]
[   602.280] 3: /usr/lib64/dri/r600_dri.so (0x7f2ec37c0000+0x65e72) [0x7f2ec3825e72]
[   602.280] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f2ec51c8000+0x1bcc) [0x7f2ec51c9bcc]
[   602.280] 5: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x182) [0x7f2ec51cacb2]
[   602.280] 6: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f2ec51c8000+0x3f42) [0x7f2ec51cbf42]
[   602.280] 7: /usr/bin/X (0x400000+0x3439a) [0x43439a]
[   602.280] 8: /usr/bin/X (0x400000+0x233e5) [0x4233e5]
[   602.281] 9: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3933621735]
[   602.281] 10: /usr/bin/X (0x400000+0x236bd) [0x4236bd]
[   602.281] 
[   602.281] Segmentation fault at address 0x6b1
[   602.281] 
Fatal server error:
[   602.281] Caught signal 11 (Segmentation fault). Server aborting
[   602.281] 
[   602.281] 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[   602.281] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[   602.281] 
[   602.293] (II) evdev: Power Button: Close
[   602.293] (II) UnloadModule: "evdev"
[   602.301] (II) evdev: Power Button: Close
[   602.301] (II) UnloadModule: "evdev"
[   602.310] (II) evdev: CHESEN USB Keyboard: Close
[   602.310] (II) UnloadModule: "evdev"
[   602.315] (II) evdev: CHESEN USB Keyboard: Close
[   602.315] (II) UnloadModule: "evdev"
[   602.329] (II) evdev: Genius Optical Mouse: Close
[   602.329] (II) UnloadModule: "evdev"
[   602.338] (II) evdev: Eee PC WMI hotkeys: Close
[   602.338] (II) UnloadModule: "evdev"
[   602.338] (II) AIGLX: Suspending AIGLX clients for VT switch
[   602.595] Server terminated with error (1). Closing log file.
Comment 7 Reartes Guillermo 2012-06-14 14:10:41 EDT
Created attachment 591899 [details]
retrace server output of the crash of xorg with neverball on evergreen (hd5670)

I reproduced it again on "HOST B".

# lspci -nn|grep VGA
02:00.0 VGA compatible controller [0300]: ATI Technologies Inc Redwood [Radeon HD 5670] [1002:68d8]

kernel: 3.4.0-1.fc17.x86_64
xorg-x11-drv-ati.x86_64        6.14.4-6.20120602git930760942.fc17
xorg-x11-server-Xorg.x86_64    1.12.2-1.fc17                      
xorg-x11-server-common.x86_64  1.12.2-1.fc17

Xorg Crash:

[   833.348] (II) RADEON(0): Modeline "1680x1050"x0.0  146.25  1680 1784 1960 2240  1050 1053 1059 1089 -hsync +vsync (65.3 kHz e)
[   833.446] 
[   833.446] Backtrace:
[   833.446] 0: /usr/bin/X (xorg_backtrace+0x36) [0x4650a6]
[   833.446] 1: /usr/bin/X (0x400000+0x6a069) [0x46a069]
[   833.446] 2: /lib64/libpthread.so.0 (0x3e66600000+0xefe0) [0x3e6660efe0]
[   833.446] 3: /usr/lib64/dri/r600_dri.so (0x7f9a269e2000+0x65e72) [0x7f9a26a47e72]
[   833.446] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f9a283e2000+0x1bcc) [0x7f9a283e3bcc]
[   833.447] 5: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f9a283e2000+0x1c28) [0x7f9a283e3c28]
[   833.447] 6: /usr/bin/X (TraverseTree+0x85) [0x45c2b5]
[   833.447] 7: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x17a) [0x7f9a283e4caa]
[   833.447] 8: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7f9a283e2000+0x3f42) [0x7f9a283e5f42]
[   833.447] 9: /usr/bin/X (0x400000+0x3444a) [0x43444a]
[   833.447] 10: /usr/bin/X (0x400000+0x23485) [0x423485]
[   833.447] 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3e66221735]
[   833.447] 12: /usr/bin/X (0x400000+0x2375d) [0x42375d]
[   833.447] 
[   833.447] Segmentation fault at address 0x60
[   833.447] 
Fatal server error:
[   833.447] Caught signal 11 (Segmentation fault). Server aborting
[   833.447] 
[   833.447] 

(!!!) NOTE: This time i tried with the new abrt retrace server...
I have attached the resutls of such retrace, i hope it helps.
Comment 8 Reartes Guillermo 2012-06-20 13:03:56 EDT
Created attachment 593274 [details]
retrace server output of the crash of xorg when presing CTRL+ALT+F12 wheb running BASTION on caicos (hd6450)

I have found another way of reproducing the bug, at least 
ABRT sees as a dup of it.
retrace server output of the crash of xorg when presing CTRL+ALT+F12 when
running BASTION on caicos (hd6450)

This happened on "HOST A"

# lspci -nn|grep VGA
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450] [1002:6779]

kernel: 3.4.2-4.fc17.x86_64
xorg-x11-drv-ati.x86_64  6.14.4-6.20120602git930760942.fc17 @updates
xorg-x11-server-Xorg.x86_64   1.12.2-1.fc17      @updates                    
xorg-x11-server-common.x86_64 1.12.2-1.fc17      @updates

[  2656.071] (II) RADEON(0): Modeline "1680x1050"x0.0  119.00  1680 1728 1760 1840  1050 1053 1059 1080 +hsync -vsync (64.7 kHz e)
[  3698.768] 
[  3698.768] Backtrace:
[  3698.770] 0: /usr/bin/X (xorg_backtrace+0x36) [0x4650a6]
[  3698.770] 1: /usr/bin/X (0x400000+0x6a069) [0x46a069]
[  3698.770] 2: /lib64/libpthread.so.0 (0x3b42c00000+0xefe0) [0x3b42c0efe0]
[  3698.770] 3: /usr/lib64/dri/r600_dri.so (0x7fb4aff70000+0x65e72) [0x7fb4affd5e72]
[  3698.770] 4: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7fb4b1978000+0x1bcc) [0x7fb4b1979bcc]
[  3698.770] 5: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7fb4b1978000+0x1c28) [0x7fb4b1979c28]
[  3698.770] 6: /usr/bin/X (TraverseTree+0x85) [0x45c2b5]
[  3698.770] 7: /usr/lib64/xorg/modules/extensions/libdri2.so (DRI2SwapBuffers+0x17a) [0x7fb4b197acaa]
[  3698.770] 8: /usr/lib64/xorg/modules/extensions/libdri2.so (0x7fb4b1978000+0x3f42) [0x7fb4b197bf42]
[  3698.770] 9: /usr/bin/X (0x400000+0x3444a) [0x43444a]
[  3698.770] 10: /usr/bin/X (0x400000+0x23485) [0x423485]
[  3698.770] 11: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3b42821735]
[  3698.770] 12: /usr/bin/X (0x400000+0x2375d) [0x42375d]
[  3698.770] 
[  3698.770] Segmentation fault at address 0x51
[  3698.770] 
Fatal server error:
[  3698.770] Caught signal 11 (Segmentation fault). Server aborting
[  3698.770] 
[  3698.770] 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help.

So, with Bastion and SHIFT+ALT+F12 it also happens.

Messages:

Jun 20 13:32:11 ulquiorra abrtd: Directory 'ccpp-2012-06-20-13:32:11-8269' creation detected
Jun 20 13:32:11 ulquiorra abrt[9324]: Saved core dump of pid 8269 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-06-20-13:32:11-8269 (54575104 bytes)
Jun 20 13:32:12 ulquiorra abrtd: Duplicate: core backtrace
Jun 20 13:32:12 ulquiorra abrtd: DUP_OF_DIR: /var/spool/abrt/ccpp-2012-06-02-19:00:17-1464
Jun 20 13:32:12 ulquiorra abrtd: Problem directory is a duplicate of /var/spool/abrt/ccpp-2012-06-02-19:00:17-1464
Jun 20 13:32:12 ulquiorra abrtd: Deleting problem directory ccpp-2012-06-20-13:32:11-8269 (dup of ccpp-2012-06-02-19:00:17-1464)
Comment 9 Reartes Guillermo 2012-06-20 15:28:27 EDT
I cornered the issue, at least to some exent:

KDE DE Compositer: OpenGL and "Default Settings"
results in the issues reported in this bugreport.

which are:
* on neverball, on full screen, cycling from 1920x1200/800x600 makes
xorg crash
* on bastion, pressing SHIFT+ALT+F12 (Disable DE) also genereates
a similar xorg crash.

The issue can be avoided by configurig:

For KDE DE Compositer: OpenGL,
Suspend DE for full screen aplication must be enabled (off by default).

Alternatively, one might use the XRender compositer, which seems to be ok.
Either with or without Suspend DE for full screen aplication must be enabled.
Comment 10 Reartes Guillermo 2012-07-12 14:53:26 EDT
I am NOT able to reproduce it with AMD Propietary Drivers,
both the neverball and the bastion cases do not happen with these drivers,
so the issue is specific to the open source radeon drivers.

kmod-catalyst-3.4.4-5.fc17.x86_64.x86_64 12.6-1.fc17.1 @rpmfusion-nonfree-updates

xorg-x11-drv-catalyst.x86_64       12.6-1.fc17  @rpmfusion-nonfree-updates
xorg-x11-drv-catalyst-libs.x86_64  12.6-1.fc17  @rpmfusion-nonfree-updates
Comment 11 Reartes Guillermo 2012-08-23 18:02:02 EDT
It still does it happens with:

kernel                    3.5.2-3.fc17.x86_64
xorg-x11-drv-ati.x86_64   6.14.4-6.20120602git930760942.fc17
Comment 12 Reartes Guillermo 2013-05-06 18:14:41 EDT
I tried to reproduce this with:

Fedora                    19 x86_64
kernel                    3.8.11-100.fc17.x86_64
xorg-x11-drv-ati.x86_64   6.14.4-6.20120602git930760942.fc17

But i could not reproduce it, i got something different so i opened another bug-report. Probably this one can be closed. I will test it again i a few days to confirm.

New bug: 960290
Comment 13 Reartes Guillermo 2013-05-06 18:15:32 EDT
Minor correction:

Fedora version is 17 x86_64
Comment 14 Fedora End Of Life 2013-07-03 18:56:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-07-31 21:10:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.